# dashboard#metrics

Get metrics about policies, policy sets and evaluations

Endpoint: GET /pm/api/v1/dashboard
Version: 1.0
Security: 

## Query parameters:

  - `range` (string)
    The time period over which to aggregate dashboard data. Can be: 24 hours, 7 days or 30 days
    Enum: "24h", "7d", "30d"

  - `accountIdentifier` (string)
    Harness account ID
    Example: "eBqAoNchMLKigC_qZ5EdC"

  - `orgIdentifier` (string)
    Harness organization ID
    Example: "test-org"

  - `projectIdentifier` (string)
    Harness project ID
    Example: "test-project"

## Header parameters:

  - `x-api-key` (string)
    Harness PAT key used to perform authorization
    Example: "Suscipit quibusdam vero et et saepe mollitia."

## Response 200 fields (application/json):

  - `aggregates` (array, required)
    Aggregate evaluation counts by day
    Example: [{"error":4519995479588995000,"pass":5494365916724000000,"time":8957006902264326000,"warning":1523657253567608600},{"error":4519995479588995000,"pass":5494365916724000000,"time":8957006902264326000,"warning":1523657253567608600}]

  - `aggregates.error` (integer, required)
    Count of evaluations that have a status of 'error'
    Example: 9048868753144394000

  - `aggregates.pass` (integer, required)
    Count of evaluations that have a status of 'pass'
    Example: 176462118679014430

  - `aggregates.time` (integer, required)
    The Unix time of this particular aggregation
    Example: 7653355816170778000

  - `aggregates.warning` (integer, required)
    Count of evaluations that have a status of 'warning'
    Example: 6049873326869507000

  - `policy_health` (object, required)
    Policy health metrics
    Example: {"total_evaluation_count":1318321415066751700,"total_evaluation_entity_count":{"error":9002233923235186000,"pass":293819207662024000,"warning":6268702180178596000},"total_policy_count":4771049535822116000,"total_policy_set_count":3597928176086543400,"total_policy_set_entity_count":{"Doloremque fugit cumque est quidem.":3052257588720812000,"Excepturi omnis at amet nam id.":8751375528103369000,"Suscipit saepe illum inventore et.":7223041122375786000}}

  - `policy_health.total_evaluation_count` (integer, required)
    Total number of evaluations that have occurred
    Example: 1318321415066751700

  - `policy_health.total_evaluation_entity_count` (object, required)
    Evaluation counts by status
    Example: {"error":928005298931460400,"pass":335454362103582900,"warning":4515572488302898700}

  - `policy_health.total_evaluation_entity_count.error` (integer, required)
    Count of evaluations that have a status of 'error'
    Example: 928005298931460400

  - `policy_health.total_evaluation_entity_count.pass` (integer, required)
    Count of evaluations that have a status of 'pass'
    Example: 335454362103582900

  - `policy_health.total_evaluation_entity_count.warning` (integer, required)
    Count of evaluations that have a status of 'warning'
    Example: 4515572488302898700

  - `policy_health.total_policy_count` (integer, required)
    Total number of policies stored
    Example: 4771049535822116000

  - `policy_health.total_policy_set_count` (integer, required)
    Total number of policy sets stored
    Example: 3597928176086543400

  - `policy_health.total_policy_set_entity_count` (object, required)
    Total number of policy sets by type
    Example: {"Doloremque fugit cumque est quidem.":3052257588720812000,"Excepturi omnis at amet nam id.":8751375528103369000,"Suscipit saepe illum inventore et.":7223041122375786000}

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


